Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.user
Class NativeUserProvider

    java.lang.Object
      org.jivesoftware.openfire.user.DefaultUserProvider
          org.jivesoftware.openfire.user.NativeUserProvider

All Implemented Interfaces:
  UserProvider

    public class NativeUserProvider

extends DefaultUserProvider

A UserProvider to be used in conjunction with `NativeAuthProvider`, which authenticates using OS-level authentication. New user accounts will automatically be created as needed (upon successful initial authentication). To enable this provider, edit the XML config file file and set:

     <provider>
         <auth>
             <className>org.jivesoftware.openfire.auth.NativeAuthProvider</className>
         </auth>
         <user>
             <className>org.jivesoftware.openfire.user.NativeUserProvider</className>
         </user>
     </provider>

Author:
  Matt Tucker
See Also:
  `NativeAuthProvider`

Constructor Summary
`NativeUserProvider()`

Method Summary

Methods inherited from class org.jivesoftware.openfire.user.DefaultUserProvider
`createUser, deleteUser, findUsers, findUsers, getSearchFields, getUserCount, getUsernames, getUsers, getUsers, isReadOnly, loadUser, setCreationDate, setEmail, setModificationDate, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeUserProvider

    public NativeUserProvider()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.